<template>
  <div class="card" itemscope itemtype="https://schema.org/Offer">
    <v-card
      class="mx-auto my-12"
      max-width="374"
    >
      <template slot="progress">
        <v-progress-linear
          color="deep-purple"
          height="10"
          indeterminate
        ></v-progress-linear>
      </template>


      <img
        height="250"
        src="./placeholder.png"
        style="width: 100%"
        alt="placeholder"
        itemprop="image"
      />

      <v-card-title itemprop="name" style="padding-bottom: 0px">{{ productTitle }}</v-card-title>
      <v-card-text style="padding-bottom: 0px">
        <div class="my-4 text-subtitle-1" itemprop="author">
          {{ productSeller }}
        </div>
        <div class="my-4 text-subtitle-1" itemprop="price">
          € {{ productPrice }}
        </div>

        <div itemprop="description">{{ productDesc }}</div>
      </v-card-text>

      <v-divider class="mx-4"></v-divider>


      <v-card-actions>
        <v-btn
          color="deep-purple lighten-2"
          text
          class="AddToCart"
          @click="addToCart"
        >
          Toevoegen
        </v-btn>
      </v-card-actions>
    </v-card>
  </div>

</template>

<script>
import {addToCart} from '@/clients/dataClient';

export default {
  name: 'ProductCard',
  props: {
    productTitle: String,
    productPrice: String,
    productDesc: String,
    productSeller: String,
    productId: String,
  },
  methods: {
    async addToCart() {
      await addToCart(this.productId, this.productTitle, this.productPrice);
    }
  }

};
</script>

<style scoped>
  .card {
    padding: 1rem;
  }
</style>
